# RouterHostnameRule Class Reference

Inheritance diagram for RouterHostnameRule:
[legend]

List of all members.

## Public Member Functions

| __construct ($route)
| setRequirements (array $reqirements)
| getRequirements ()
| setSecure ()
| isSecure ()
| setScheme ($schema)
| getScheme ()
| match (HttpRequest $request)
| Matches a user submitted path with parts defined by a map.
| assembly (array $data=array(), $reset=false, $encode=false)

## Static Public Member Functions

static | create ($route)

## Public Attributes

const | SCHEME_HTTP = 'http'
const | SCHEME_HTTPS = 'https'

## Protected Member Functions

| processRoute ()
| isSecureRequest (HttpRequest $request)
| resolveSchema ()
| resolvePath ()

## Protected Attributes

| $hostVariable = ':'
| $regexDelimiter = '#'
| $scheme = null
| $defaultRegex = null
| $route = null
| $routeProcessed = false
| $variables = array()
| $parts = array()
| $requirements = array()
| $values = array()
| $staticCount = 0

## Detailed Description

Definition at line 12 of file RouterHostnameRule.class.php.

## Constructor & Destructor Documentation

RouterHostnameRule::__construct | ( | $ | route | ) |

Definition at line 39 of file RouterHostnameRule.class.php.

References $route.

## Member Function Documentation

RouterHostnameRule::assembly | ( | array $ | data = `array()`,
|  | $ | reset = `false`,
|  | $ | encode = `false` |
| ) |  |  |

Implements RouterRule.

Definition at line 174 of file RouterHostnameRule.class.php.

References RouterBaseRule::getDefault(), processRoute(), resolvePath(), and resolveSchema().

Here is the call graph for this function:

static RouterHostnameRule::create | ( | $ | route | ) | `[static]`

Returns:
  RouterHostnameRule

Definition at line 34 of file RouterHostnameRule.class.php.

References $route.

RouterHostnameRule::getRequirements | ( |  | ) |

Definition at line 55 of file RouterHostnameRule.class.php.

RouterHostnameRule::getScheme | ( |  | ) |

Definition at line 85 of file RouterHostnameRule.class.php.

RouterHostnameRule::isSecure | ( |  | ) |

Definition at line 70 of file RouterHostnameRule.class.php.

Referenced by match().

RouterHostnameRule::isSecureRequest | ( | HttpRequest $ | request | ) | `[protected]`

Definition at line 278 of file RouterHostnameRule.class.php.

References HttpRequest::getServerVar(), and HttpRequest::hasServerVar().

Referenced by match().

Here is the call graph for this function:

RouterHostnameRule::match | ( | HttpRequest $ | request | ) |

Matches a user submitted path with parts defined by a map.

Assigns and returns an array of variables on a successful match.

Returns:
  array An array of assigned values or empty array() on a mismatch

Implements RouterRule.

Definition at line 90 of file RouterHostnameRule.class.php.

References $values, HttpRequest::getServerVar(), HttpRequest::hasServerVar(), isSecure(), isSecureRequest(), and processRoute().

Here is the call graph for this function:

RouterHostnameRule::processRoute | ( |  | ) | `[protected]`

Returns:
  RouterHostnameRule

Definition at line 248 of file RouterHostnameRule.class.php.

Referenced by assembly(), and match().

RouterHostnameRule::resolvePath | ( |  | ) | `[protected]`

Definition at line 305 of file RouterHostnameRule.class.php.

References RouterRewrite::me().

Referenced by assembly().

Here is the call graph for this function:

RouterHostnameRule::resolveSchema | ( |  | ) | `[protected]`

Definition at line 289 of file RouterHostnameRule.class.php.

References RouterRewrite::me().

Referenced by assembly().

Here is the call graph for this function:

RouterHostnameRule::setRequirements | ( | array $ | reqirements | ) |

Returns:
  RouterHostnameRule

Definition at line 48 of file RouterHostnameRule.class.php.

RouterHostnameRule::setScheme | ( | $ | schema | ) |

Returns:
  RouterHostnameRule

Definition at line 78 of file RouterHostnameRule.class.php.

RouterHostnameRule::setSecure | ( |  | ) |

Returns:
  RouterHostnameRule

Definition at line 63 of file RouterHostnameRule.class.php.

## Member Data Documentation

RouterHostnameRule::$defaultRegex = null`[protected]`

Definition at line 21 of file RouterHostnameRule.class.php.

RouterHostnameRule::$hostVariable = ':'`[protected]`

Definition at line 17 of file RouterHostnameRule.class.php.

RouterHostnameRule::$parts = array()`[protected]`

Definition at line 25 of file RouterHostnameRule.class.php.

RouterHostnameRule::$regexDelimiter = '#'`[protected]`

Definition at line 18 of file RouterHostnameRule.class.php.

RouterHostnameRule::$requirements = array()`[protected]`

Definition at line 26 of file RouterHostnameRule.class.php.

RouterHostnameRule::$route = null`[protected]`

Definition at line 22 of file RouterHostnameRule.class.php.

Referenced by __construct(), and create().

RouterHostnameRule::$routeProcessed = false`[protected]`

Definition at line 23 of file RouterHostnameRule.class.php.

RouterHostnameRule::$scheme = null`[protected]`

Definition at line 20 of file RouterHostnameRule.class.php.

RouterHostnameRule::$staticCount = 0`[protected]`

Definition at line 29 of file RouterHostnameRule.class.php.

RouterHostnameRule::$values = array()`[protected]`

Definition at line 27 of file RouterHostnameRule.class.php.

Referenced by match().

RouterHostnameRule::$variables = array()`[protected]`

Definition at line 24 of file RouterHostnameRule.class.php.

const RouterHostnameRule::SCHEME_HTTP = 'http'

Definition at line 14 of file RouterHostnameRule.class.php.

const RouterHostnameRule::SCHEME_HTTPS = 'https'

Definition at line 15 of file RouterHostnameRule.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Routers/RouterHostnameRule.class.php